Solid Edge Draft Type Library
DrawingViews Property
Solid Edge Draft Type Library > Sheet Object : DrawingViews Property
Description
Returns the DrawingViews collection object for the referenced Sheet.
Property type
Read-only property
Syntax
Visual Basic
Public Property DrawingViews As DrawingViews
Example
Imports System.IO
Imports System.Runtime.InteropServices

Module Example
    <STAThread()> _
    Sub Main()
        Dim objApplication As SolidEdgeFramework.Application
        Dim objDraftDocument As SolidEdgeDraft.DraftDocument
        Dim objSheet As SolidEdgeDraft.Sheet
        Dim objDrawingViews As SolidEdgeDraft.DrawingViews

        Try
            OleMessageFilter.Register()

            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objDraftDocument = objApplication.ActiveDocument
            objSheet = objDraftDocument.ActiveSheet
            objDrawingViews = objSheet.DrawingViews

        Catch ex As Exception
            Console.WriteLine(ex.Message)
        Finally
            OleMessageFilter.Revoke()
        End Try
    End Sub
End Module
using System.IO;
using System.Runtime.InteropServices;

internal static class Example
{
    [STAThread()]
    public static void Main()
    {
        SolidEdgeFramework.Application objApplication = null;
        SolidEdgeDraft.DraftDocument objDraftDocument = null;
        SolidEdgeDraft.Sheet objSheet = null;
        SolidEdgeDraft.DrawingViews objDrawingViews = null;

        try
        {
            OleMessageFilter.Register();

            objApplication = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");
            objDraftDocument = objApplication.ActiveDocument;
            objSheet = objDraftDocument.ActiveSheet;
            objDrawingViews = objSheet.DrawingViews;

        }
        catch (Exception ex)
        {
            Console.WriteLine(ex.Message);
        }
        finally
        {
            OleMessageFilter.Revoke();
        }
    }
}
See Also

Sheet Object  | Sheet Members